GitHub for Windows < 2.6.5 .git/config Command Execution

This script is Copyright (C) 2014-2016 Tenable Network Security, Inc.


Synopsis :

The remote Windows host has an application installed that is affected
by a command execution vulnerability.

Description :

The version of GitHub for Windows installed on the remote host is
prior to 2.6.5. It is, therefore, affected by a command execution
vulnerability when processing specially crafted git trees in a
case-insensitive or case-normalizing file system. A remote attacker,
using a specially crafted git tree, can overwrite a user's
'.git/config' file when the user clones or checks out a repository,
allowing arbitrary command execution.

See also :

http://www.nessus.org/u?ad68bb83
https://windows.github.com/release-notes.html
http://article.gmane.org/gmane.linux.kernel/1853266
http://www.nessus.org/u?afc47628

Solution :

Upgrade to GitHub for Windows 2.6.5 or later.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 80202 ()

Bugtraq ID: 71732

CVE ID: CVE-2014-9390

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now